# Search the PhyloWS metadata

## Usage

    phylo_metadata(x = c("Study.id", "Tree.id", "kind", "type", "quality", "ntaxa"),
      metadata = NULL, ...)

## Arguments

x
  one of "Study.ids", "Tree.ids", "kind", "type", "quality", "ntaxa"
metadata
  returned from `search_treebase` function. if not specified will download latest copy of PhyloWS metadata from treebase. Pass in search results value during repeated calls to speed function runtime substantially
...
  additional arguments to `search_treebase`

## Value

a list of the values matching the query

## Description

Search the PhyloWS metadata

## Examples

    ## <strong>Not run</strong>:
    #      # calls will work without a metadata object, but require longer to download data
    #      kind <- phylo_metadata("kind")
    #      type <- phylo_metadata("type")
    #      table(kind, type)
    #      ## <strong>End(Not run)</strong>
         # but are much faster if the data object is provided, see cache_treebase():
         data(treebase)
         kind <- phylo_metadata("kind", metadata=treebase)
    Error in eval(expr, envir, enclos): could not find function "phylo_metadata"
         type <- phylo_metadata("type", metadata=treebase)
    Error in eval(expr, envir, enclos): could not find function "phylo_metadata"
         table(kind, type)
    Error in table(kind, type): object 'kind' not found